#
# spec file for package python-python-pptx
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2021, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-pptx
Version:        0.6.23
Release:        1.1
Summary:        Generate and manipulate Open XML PowerPoint (pptx) files
License:        MIT
URL:            http://github.com/scanny/python-pptx
Source:         https://files.pythonhosted.org/packages/source/p/python-pptx/python-pptx-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module lxml >= 3.1.0}
BuildRequires:  %{python_module Pillow >= 3.3.2}
BuildRequires:  %{python_module XlsxWriter >= 0.5.7}
BuildRequires:  %{python_module behave}
BuildRequires:  %{python_module pyparsing >= 2.0.1}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-Pillow >= 3.3.2
Requires:       python-XlsxWriter >= 0.5.7
Requires:       python-lxml >= 3.1.0
BuildArch:      noarch
%python_subpackages

%description
Generate and manipulate Open XML PowerPoint (.pptx) files.

%prep
%setup -q -n python-pptx-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc HISTORY.rst README.rst
%{python_sitelib}/*pptx*

%changelog
* Tue Dec 26 2023 Dirk Müller <dmueller@suse.com>
- update to 0.6.23:
  * fix: #912 Pillow<=9.5 constraint entails security
    vulnerability
  * Add #909 Add imgW, imgH params to `shapes.add_ole_object()`
  * fix: #754 _Relationships.items() raises
  * fix: #758 quote in autoshape name must be escaped
  * fix: #746 update Python 3.x support in docs
  * fix: #748 setup's `license` should be short string
  * fix: #762 AttributeError: module 'collections' has no
    attribute 'abc'
* Thu Oct  6 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 0.6.21 (2021-09-20)
  Fix #741 _DirPkgReader must implement .__contains__()
- Update to 0.6.20 (2021-09-14)
  Fix #206 accommodate NULL target-references in relationships.
  Fix #223 escape image filename that appears as literal in XML.
  Fix #517 option to display chart categories/values in reverse order.
  Major refactoring of ancient package loading code.
* Mon Apr 11 2022 Markéta Machová <mmachova@suse.com>
- do not use mock
* Tue Aug 24 2021 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.6.19
